<script>
	function get_data() {
		jQuery('.container-st').html('');
		jQuery.ajax({
			url: app_url + 'st_clean/get_data',
			type: 'POST',
			dataType: 'JSON',
			data: {
				code: jQuery('#inp_code').val()
			},
			success: function(response) {
				if (response.err_code == 0) {
					jQuery('.container-st').html(response.data);
					jQuery('.select').select2();
				}
				else {
					bootbox.alert(response.err_message);
				}
			},
			error: function(resp){}
		});
	}

    jQuery('body').on('click', '.btn-go-data', function() {
        get_data();
    });

    jQuery('body').on('click', '#btn_save', function() {
    	show_loading();
    	jQuery.ajax({
    		url: app_url + 'st_clean/save',
    		type: 'POST',
    		dataType: 'JSON',
    		data: jQuery('#form_st_clean').serialize(),
    		success: function(response) {
    			hide_loading();
    			if (response.err_code == 0) {
    				bootbox.alert("Update berhasil");
    				get_data();
    			}
    			else {
    				bootbox.alert(response.err_message);
    			}
    		},
    		error: function(resp) {}
    	});
    });

    jQuery('body').on('click', '#btn_approve_bill', function() {
    	show_loading();
    	jQuery.ajax({
    		url: app_url + 'st_clean/approve_bill',
    		type: 'POST',
    		dataType: 'JSON',
    		data: jQuery('#form_st_clean').serialize(),
    		success: function(response) {
    			hide_loading();
                bootbox.alert("Update berhasil");
    			get_data();
    		},
    		error: function(resp) {}
    	});
    });

    jQuery('body').on('click', '#btn_receive', function() {
    	show_loading();
    	jQuery.ajax({
    		url: app_url + 'st_clean/receive',
    		type: 'POST',
    		dataType: 'JSON',
    		data: jQuery('#form_st_clean').serialize(),
    		success: function(response) {
    			hide_loading();
                bootbox.alert("Update berhasil");
    			get_data();
    		},
    		error: function(resp) {}
    	});
    });